Subject: bug#19423: 25.0.50; incompatible change to `make-obsolete' - added 3rd arg should be optional

From: Drew Adams <[email-masked]>
Date: Sun, 21 Dec 2014 10:58:40 -0800 (PST)

> > In Emacs 23 someone unwisely changed it to mandatory, an
> > incompatible change that gratuitously breaks code that could
> > be used with older Emacs releases.  Pain for no real gain.
> 
> You should look at the code sometimes.

You should look at the byte-compiler warning that the user sees.
It tells her that only 2 args are present but 3 are *required*.

> The change is very much compatible: `make-obsolete' can still be
> called with only two arguments without error.  The third one is only
> mandatory in the advertised calling convention.

See above.  The byte-compiler tells you that it is mandatory.

> Even if it wasn't, it would be too late to fix the "problem": it
> wouldn't work in 23 and 24 anyway.

No, but it would work for Emacs 25, and releases prior to 23.

There is no good reason *not* to fix it, is there?